com.tomgibara.crinch.hashing

## Class HashRange

- java.lang.Object
- - com.tomgibara.crinch.hashing.HashRange

-     public class HashRange
      extends Object

  Records the range of values that a hash value may take. Both range values are inclusive.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static HashRange` | `FULL_INT_RANGE`
    `static HashRange` | `FULL_LONG_RANGE`
    `static HashRange` | `POSITIVE_INT_RANGE`
    `static HashRange` | `POSITIVE_LONG_RANGE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HashRange(BigInteger minimum, BigInteger maximum)`
    `HashRange(int minimum, int maximum)`
    `HashRange(long minimum, long maximum)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `BigInteger` | `getMaximum()`
    `BigInteger` | `getMinimum()`
    `BigInteger` | `getSize()`
    `int` | `hashCode()`
    `boolean` | `isIntBounded()`
    `boolean` | `isIntSized()`
    `boolean` | `isLongBounded()`
    `boolean` | `isLongSized()`
    `boolean` | `isZeroBased()`
    `String` | `toString()`
    `HashRange` | `zeroBased()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### FULL_INT_RANGE

          public static final HashRange FULL_INT_RANGE

    - #### FULL_LONG_RANGE

          public static final HashRange FULL_LONG_RANGE

    - #### POSITIVE_INT_RANGE

          public static final HashRange POSITIVE_INT_RANGE

    - #### POSITIVE_LONG_RANGE

          public static final HashRange POSITIVE_LONG_RANGE

  - ### Constructor Detail

    - #### HashRange

          public HashRange(BigInteger minimum,
                           BigInteger maximum)

    - #### HashRange

          public HashRange(int minimum,
                           int maximum)

    - #### HashRange

          public HashRange(long minimum,
                           long maximum)

  - ### Method Detail

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### getMaximum

          public BigInteger getMaximum()

    - #### getMinimum

          public BigInteger getMinimum()

    - #### getSize

          public BigInteger getSize()

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### isIntBounded

          public boolean isIntBounded()

    - #### isIntSized

          public boolean isIntSized()

    - #### isLongBounded

          public boolean isLongBounded()

    - #### isLongSized

          public boolean isLongSized()

    - #### isZeroBased

          public boolean isZeroBased()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### zeroBased

          public HashRange zeroBased()